---
layout: post
title: A year of progress for US-RSE
tags: [communication]
---

by Daniel S. Katz, Vanessa Sochat, Charles Ferenbaugh, Jeffrey C. Carver, Sandra Gesing, Ian Cosden, Christina Maimone, and Chris Hill

The US-RSE association was first planned in 2018, but it really became active and started growing in 2019. In the last year or so, we've made a lot of progress and have a number of activities that are in-progress. In this post, we want to report on this progress.

## Accomplishments

**Membership**. In January 2019, we had 10 members, who were all involved in starting up US-RSE. By the end of 2019, this had grown to 259, and is now (at the end of March 2020) 345.

![US-RSE Membership]({{ site.baseurl }}/assets/posts/2020-04-28-us-rse-membership.png "US-RSE Membership")<br/>_US-RSE Membership_

**Steering Committee**. We've established an initial [steering committee](https://us-rse.org/steering-committee/) with 9 members:

* Jeffrey C. Carver, University of Alabama
* Ian Cosden, Princeton University (Chair)
* Charles Ferenbaugh, Los Alamos National Laboratory
* Sandra Gesing, University of Notre Dame
* Chris Hill, MIT
* Daniel S. Katz, University of Illinois Urbana-Champaign
* Christina Maimone, Northwestern University
* Lance Parsons, Princeton University
* Jordan Perr-Sauer, National Renewable Energy Laboratory. 

The Steering Committee is currently meeting every two weeks and working on many of the activities below. In addition, we are planning a formal governance process that will include regular steering committee elections. The initial Steering Committee’s goal is to establish the framework for a long-term vibrant and robust community while defining the overall policy and direction of the US-RSE Association, based on the inputs of the US-RSE Association membership. The Steering Committee encourages and hopes that many new US-RSE Association activities and events will be initiated, organized, and managed by community committees and members at large.

**RSE defined**. We [defined](https://us-rse.org/what-is-an-rse/) Research Software Engineers inclusively, encompassing "all those who regularly use expertise in programming to advance research. This includes researchers who spend a significant amount of time programming, full-time software engineers writing code to solve research problems, and those somewhere in-between. We aspire to apply the skills and practices of software development to research to create more robust, manageable, and sustainable research software."

**Mission**. We've defined an initial mission: The US-RSE Association is centered around three main goals. We aim to target our activities and actions to serving these three aspects:

* **Community**: We seek to provide a coherent association of those who identify with the role (not necessarily title) of Research Software Engineer based on our inclusive definition. This group aims to provide the members of the community the ability to share knowledge, professional connections, and resources.

* **Advocacy**: We aim to promote RSEs’ impact on research, highlighting the increasingly critical and valuable role RSEs serve.

* **Resources**: We strive to provide useful resources to multiple demographics. For current and future RSEs we strive to provide technical and career development resources to support their professional development. We aim to provide access to information and material to support the establishment and expansion of RSE positions and groups within the research ecosystem including the material for making business justifications for RSEs.

**Logo, website, Slack**. We've created a [US-RSE logo](https://github.com/USRSE/logo) and a [US-RSE website](https://us-rse.org/) that's hosted on [GitHub](https://github.com/USRSE/usrse.github.io) and has an [open method for people to contribute](https://github.com/USRSE/usrse.github.io/blob/master/README.md) jobs, events, and other content. As part of the website, we built a map of US-RSE member locations. We've also created an US-RSE Slack team with channels for different topics of interest that enable US-RSE members to chat with each other. As of 22 April 2020, the Slack team, which includes both members and others who are interested in US-RSE issues, has 522 users. 

![US-RSE member locations]({{ site.baseurl }}/assets/posts/2020-04-28-member-map.png "US-RSE member locations")<br/>_US-RSE member locations_

**Code of Conduct**. In September 2019, we created a [Code of Conduct](https://us-rse.org/code-of-conduct/) for the US-RSE Association to encourage participation in our community, and to make clear what isn't acceptable.

**Job board**. One element of the website is a [job board](https://us-rse.org/jobs/) that lists open jobs of interest to RSEs. New jobs can be contributed by making a pull request to the GitHub source for the website like other types of contributions, or by asking the website team to do this via the RSE slack team. Since this board was created in May 2019, 35 jobs have been posted and as of 22 April 2020, 6 are active. 

**Twitter and newsletters**. We created a [US-RSE twitter account](https://twitter.com/us_rse) in June 2019, which as of 22 April 2020 has 500 followers and has made 119 tweets, and a much larger number of retweets. Additionally, we've been writing a [newsletter](https://us-rse.org/newsletters/) about every 2-3 months, which is mailed out to all US-RSE members and posted on our website.

**Community calls**. We began community calls in 2019, and have held five so far.  The calls were launched as a way to give a modest conversational forum for US-RSE members to get to know each other and to share ideas as a community of individuals. Community calls have discussed communication guidelines for the organization, best-practices, and interactive conversations on overall US-RSE structure and organizational aspirations. The calls have followed a practice of using a designated moderator to welcome participation and to help accelerate learning and listening from each other. 

**Events**. We've held and are planning a number of events to increase awareness of RSE issues and to bring US RSEs together.  These include:

  * Events at PEARC19: We had a [Birds of a Feather session](https://pearc19.conference-program.com/presentation/?id=bof111&sess=sess173) with about 30 people at PEARC19, intended to introduce the RSE concept and term to PEARC attendees. Discussion revolved around beneficial activities for the community and what US-RSE could provide. Feedback included the need for sharing best and bad practices, lobbying RSE positions to executives, networking, advertising of open jobs, mentorship programs, platform for sharing expertise, interactions between academia, industry and national labs and support organizations in incentivizing good software engineering practices.

![The US-RSE BOF at PEARC19 (D. S. Katz, CC-BY-4.0)]({{ site.baseurl }}/assets/posts/2019-10-24-PEARC19-BOF.png "The US-RSE BOF at PEARC19 (D. S. Katz, CC-BY-4.0)")<br/>_The US-RSE BOF at PEARC19 (D. S. Katz, CC-BY-4.0)_

  * Events at SC19: At SC19, we participated in 3 RSE-related events, a panel on [Developing and Managing Research Software in Universities and National Labs](https://sc19.supercomputing.org/?post_type=page&p=3479&id=pan108&sess=sess226), a BOF on [Software Engineering and Reuse in Modeling, Simulation, and Data Analytics for Science and Engineering](https://sc19.supercomputing.org/?post_type=page&p=3480&sess=sess341), and another panel on [Sustainability of HPC Research Computing: Fostering Career Paths for Facilitators, Research Software Engineers, and Gateway Creators](https://sc19.supercomputing.org/?post_type=page&p=3479&id=pan109&sess=sess227). There were also a lot of other events that were of interest to RSEs, which we wrote about in a [blog post](https://us-rse.org/2019-10-04-SC19/).  And we hosted our first pre-planned RSE social event, gathering informally for drinks and conversation after the Software Engineering BOF. Additionally, steering committee members of the US-RSE and the UK-RSE met to discuss similarities and differences in building the two RSE communities.

![US-RSE Social at SC19 (Photo credit: Semir Sarajlic)]({{ site.baseurl }}/assets/posts/2020-02-10-sc19.png "US-RSE Social at SC19 (Photo credit: Semir Sarajlic)")<br/>_US-RSE Social at SC19 (Photo credit: Semir Sarajlic)_

  * An [in-person community-building workshop](https://us-rse.org/first-community-workshop/) in Princeton is scheduled for October 2020 (rescheduled from April 2020). This workshop will invite a small group of individuals to 1) grow the RSE community by establishing and strengthening professional networks of current RSEs and RSE leaders, and 2) generate content for the US-RSE website to promote and support RSEs based on the mission of US-RSE. We plan breakout sessions related to the primary mission of US-RSE: Community, Advocacy, and Resources. Each breakout session will produce content for the US-RSE website in the form of white papers, blogs, and other online resources. Some topics we plan to address in these sessions include the role of the US-RSE organization (conferences, website, community building), RSE Groups (establishing, funding, and sustaining), RSE best practices (testing, tools, design), challenges faced by RSEs, career paths for RSEs, and RSE guidelines.

  * [Virtual US-RSE workshop](https://us-rse.org/2020-04-09-virtual-workshop/): In place of the April Princeton workshop, we decided to hold a virtual workshop in the same timeframe.  Over 80 attendees, from the US and other countries, participated in three online sessions:  a panel discussion on the current RSE landscape, a series of technical talks given by various RSEs on their projects, and a series of breakout sessions on what US-RSE should do in the future.  The response to the workshop was very positive and we expect to hold more events like this in the future.

  * Workshop at PEARC20: We've had a workshop entitled "[Research Software Engineers Community Workshop](https://us-rse.org/events/2020/2020-07-pearc20)" accepted as part of the PEARC20 virtual conference this year. The workshop will provide an opportunity for research software engineers to connect, share their work, and contribute to the growth of the community. There will be presentations from RSEs about their work and their groups, and about the development of the RSE community. We will work together to identify key tasks for building the research software engineering community and organize working groups to address these issues after the conference.
 
  * Events at SC20: A half-day workshop has been accepted, entitled "Research Software Engineers in HPC:  Creating Community, Building Careers, Addressing Challenges (RSE-HPC-2020)". We also expect additional RSE-related events to be part of the SC20 program as it further develops.

**RSE Stories**. The [Research Software Engineer Stories (RSE Stories) podcast](https://us-rse.org/rse-stories) was founded in September 2019 by RSE Vanessa Sochat in an effort to better share the diverse kinds of life experiences and roles held by real research software engineers. As of April 2020 the podcast has released 15 episodes that feature RSEs internationally, ranging from open source developers, to academic positions, to high performance computing staff. The podcast is available on iTunes and most subscription services, and has been [shared at Stanford](https://itcommunity.stanford.edu/news/research-software-engineer-rse-podcast-builds-it-community), with the UK-RSE community, and episodes will continue to be posted on the US-RSE Twitter.

**Syndicated Blogs**. The US-RSE [syndicated blog](https://us-rse.org/blog) is a GitHub site that, as of April 2020, parses feeds of 9 well-known RSE groups and individual research software engineers. The blog is updated nightly in an automated fashion to re-parse feeds, and update the site content with new content from any of the input feeds. The blog provides a single interface for someone interested in research software engineering to read a diverse set of opinions, and associated work. Research software engineers or groups that have not added their feed are encouraged to do so at [the repository](https://github.com/usrse/blog).

**Funding agency interest**. We've had informal interest in the topic of RSEs from a number of public funding agencies and private foundations. One example of such interest turning into funding is from the Alfred P. Sloan Foundation, which has provided an award to support our community building activities, including travel funding for a limited number of participants to the planned Princeton workshop as well as  part-time support for a community coordinator, who, in addition to organizing the workshop, will become more involved in US-RSE community events in the coming months.. 

**Recognition of US-RSE internationally**. US-RSE members have been invited to participate in a number of international activities to represent the US-RSE community, including speaking in the [RSE Worldwide session at RSEConUK2019](https://rseconuk2019.sched.com/event/QP6S/rse-worldwide-sharing-across-borders) and helping to organize the now-cancelled [RSECon2020](https://rsecon2020.society-rse.org) and its virtual replacement that is being planned.  We are also helping to plan the second iteration of the International RSE Leaders Meeting, following the [first held in London in 2018](https://rse.ac.uk/rse-international-leaders-meeting/). 

**Other organizations/companies interested in partnerships**. The US-RSE has been approached by multiple other organizations interested in more closely defined partnerships and collaborations. These offer a number of exciting possibilities for members and RSEs in general, and we plan to continue exploring and fostering these relationships provided they fit within the US-RSE Association’s broader goals. 

