---
layout: post
title: US-RSE Newsletter
subtitle: Winter 2020 Newsletter
category: newsletter
tags: [newsletter, SC19, Communications, stories, jobs]
---

In this bi-monthly newsletter, we share recent, current, and planned activities of the US-RSE Association. Newsletters are also available on our [website](https://us-rse.org/newsletters/) alongside the growing resources and information on the US-RSE Association. A sign-up option for our newsletter is available [here](https://us-rse.org/join/).

In this issue:

* [US-RSE in 2019 - The year in review](#review)
* [Report from SC19](#sc19)
* [Upcoming meetings](#meetings)
* [Community Call](#communitycall)
* [Conference Poll](#poll)
* [Recent Job Postings](#jobs)
* [Interesting Reads](#read)
* [Get Involved](#getinvolved)

<a name="review"></a>

# US-RSE in 2019 - The year in review

The US-RSE Association can trace its roots back to two activities in the winter of 2017-2018 (an [international survey of RSEs](https://www.software.ac.uk/blog/2018-03-12-what-do-we-know-about-rses-results-our-international-surveys) and the [international RSE leaders workshop](https://society-rse.org/events/international-leaders-workshop/), organized by UK RSE.) Five US representatives traveled to London to participate in the workshop and left energized and committed to developing an RSE community in the US. That was January 2018 and over the course of the following year, progress was slow. Since January 2019, US-RSE has seen significant growth in both membership and activity. We have updated and expanded our [website](https://us-rse.org), formed a [steering committee](https://us-rse.org/steering-committee/), created a logo, and formed working groups to work on everything from social media to an official code of conduct. We now have an active slack channel and a twitter account, [@us_rse](https://twitter.com/us_rse). We had a BoF at PEARC19; a panel, a BoF, and a social gathering at SC19 (see below); we secured a booth space for SC20; and we received a grant for organizing a US-RSE community-building workshop this year (see upcoming events below). It has been an exciting 2019 for US-RSE and we are looking forward to the next year in this vibrant community.

![Membership Growth]({{ site.baseurl }}/assets/posts/2020-02-10-membership.png "US-RSE Membership Growth")

<a name="sc19"></a>

# Report from SC19

SC19 was a great series of meetings, panels, BoFs and events for US-RSE. We had lively discussions at the panels and BoFs:

*   **Panel**: [Developing and Managing Research Software in Universities and National Labs](https://sc19.supercomputing.org/?post_type=page&p=3479&id=pan108&sess=sess226)
*   **BOF**: [Exchanging Best Practices in Supporting Computational and Data-Intensive Research](https://sc19.supercomputing.org/session/?sess=sess266)
*   **BOF**: [Software Engineering and Reuse in Modeling, Simulation, and Data Analytics for Science and Engineering](https://sc19.supercomputing.org/?post_type=page&p=3480&sess=sess341)
*   **Panel**: [Sustainability of HPC Research Computing: Fostering Career Paths for Facilitators, Research Software Engineers, and Gateway Creators](https://sc19.supercomputing.org/?post_type=page&p=3479&id=pan109&sess=sess227)

The events were complemented by several meetings that included US-RSE members: a social gathering with about 25 people, meeting with UK RSE folks, and one-on-one meetings. We were thrilled to see that the RSE and related topics attracted attention at SC19, and many more people are becoming aware of both national and international initiatives around RSEs. The main takeaways from SC19 are: i) the cultural change needed for providing incentives and career paths for RSEs is starting to happen, though it’s slow and it still requires a lot more action, it has gained some momentum; ii) the collaboration between different initiatives related to each other such as the [Xpert Network](https://sites.udel.edu/xpert-cdi/), [CaRCC](https://carcc.org/), [SGCI](https://sciencegateways.org/), [URSSI](http://urssi.us/) and US-RSE is still sparse but members in these projects are looking at collaboration possibilities; iii) the meetings with our UK colleagues elucidated that the success in the UK included a close collaboration with domain researchers. Moving forward, we aim to connect with the community in different meetings and calls (see upcoming meetings below), at different conferences (see the conference poll below), and we have secured a booth at [SC20](https://sc20.supercomputing.org/) to continue to inform the wider community about RSE issues.

![SC19 Attendees]({{ site.baseurl }}/assets/posts/2020-02-10-sc19.png "Social Gathering around US-RSE at SC19")


<a name="meetings"></a>

# Upcoming meetings

## The First US-RSE Association Workshop 

We are excited about the huge interest from the community to attend the [first US-RSE Association community-building workshop](https://us-rse.org/2019-11-14-april-2020-workshop/), April 21-22, 2020 in Princeton, NJ! Many thanks for all the applications and ideas! The response was overwhelming, which is another sign that the community is primed for growth. We are looking forward to the workshop and will keep you updated on the outcomes and other ways to get involved.

(We are also planning other workshop opportunities for everyone we couldn’t invite to the April workshop. Stay tuned for more details!)

<a name="communitycall"></a>

## Community Call

The next US-RSE community call is set for February 11th at 2pm ET. The main topic is a draft US-RSE Communications Guide to help us coordinate our activities; you can find the link on Slack. You can find the [connection details](https://docs.google.com/document/d/1a01T-YlUfDsUvdErSYaTUVVZNzgn7PsXYEPSwVV7YFM/edit?usp=sharing) here.

If you have other topics to discuss, let us know in the #communitycalls slack channel.

We are looking forward to talking with you all!

Follow the [US-RSE calendar of events](https://calendar.google.com/calendar/embed?src=kgh79lg13k1d8a2o1s6megfuhc%40group.calendar.google.com&ctz=America%2FNew_York) to stay up to date.

<a name="poll"></a>

## Conference Attendance Poll

The US-RSE Association is focused on helping RSEs across the country (and across the world) get together, share ideas, and form communities. One good way to do this is to meet up at conferences. But which ones?

We want to know: Which conferences do you attend? Which conferences do you wish you could attend? Which are the top conferences in your field of research?

Let us know in the [US-RSE Conference Poll](https://docs.google.com/forms/d/1NzA9JtnOAN6bA8LefRd5zy_Vb1NECvcpQpZjrhiyfaM/edit).

<a name="jobs"></a>

# Recent Job Postings

These opportunities were recently posted to the [RSE Careers page](https://us-rse.org/jobs/):

*   [Research Software Engineering Fellow](https://numfocus.org/blog/now-hiring-matplotlib-research-software-engineering-fellow): NumFOCUS
*   [Research Software Developer](https://cdh.princeton.edu/updates/2019/12/06/research-software-developer-job-opening/): Princeton University
*   [Research Software Specialist](https://www.psc.edu/about-psc/employment/3116-research-software-specialist-2014428): Pittsburgh Supercomputing Center
*   [Research Software Engineer](http://carver.cs.ua.edu/RSE.htm): University of Alabama
*   [Visiting Research Scientist](https://jobs.illinois.edu/academic-job-board/job-details?jobID=123477&job=visiting-research-scientist-school-of-information-sciences-123477): University of Illinois at Urbana-Champaign
*   [Performance Tuning Analyst](https://main-princeton.icims.com/jobs/11125/performance-tuning-analyst/job): Princeton University
*   [Research Software Engineer](https://brown.wd5.myworkdayjobs.com/en-US/staff-careers-brown/job/180-George-Street/Research-Software-Engineer_REQ164152): Brown University, Providence, RI
*   [Software Engineer, Research Software Engineer, Research Scientists](https://clima.caltech.edu/join-our-team/): Climate Modeling Alliance, Caltech, Pasadena, CA 

<a name="read"></a>

# Interesting Reads

What you may have missed on the blog and Slack.

Vanessa Sochat’s piece about the frame of reference bias in software engineering, "[The Disney FairyTale Bias](https://us-rse.org/blog/2020/vsoch/disney-fairytale-bias/)" was a great read and started a nice discussion on Slack.

No matter where you are in your career, there is always room for growth, so be sure to check out [6 Tips for Growing Your Coding Skills at Any Level](https://sites.northwestern.edu/researchcomputing/2020/01/14/6-tips-for-growing-your-coding-skills-at-any-level/) by Colby Witherup Wood at Northwestern IT Research Computing Services. When it’s time to turn those new skills into a career progression, RSEs often find it tough for a number of reasons. In his post on [5 Challenges Currently Facing the RSE Career Path](https://cosden.github.io/RSE-career-path), Ian Cosden explores some of the systemic reasons the RSE career path can be challenging. Even better, he proposes some solutions.

Software citation and credit is another challenge for many RSEs as Daniel S. Katz explores in [Second thoughts on Proper Citation Guidance for Software Developers](https://danielskatzblog.wordpress.com/2019/12/20/thoughts-on-citation-guidance-for-developers/). He explains why there is no perfect solution, but outlines a case for a path forward. The Netherlands eScience Center also published a piece touching on citation as well as findability, accessibility, interoperability and reusability (FAIR) as they recapped discussion around [FAIR Software at their 2019 eScience Symposium](https://blog.esciencecenter.nl/fair-software-at-the-2019-escience-symposium-6117f310aa34).

In an effort to spread the word about US-RSE, Ian Cosden, Chris Hill, Sandra Gesing, and Charles Ferenbaugh wrote a [guest post on the BSSw.io blog](https://bssw.io/blog_posts/us-research-software-engineer-us-rse-association) about the importance of the people writing research software and the goals of the US-RSE Association. 

[CANARIE launches call](https://app.cyberimpact.com/newsletter-view-online?ct=odY7E3GSMB0orUp3F4npac_10MW_KXS8fcwDToNKtxwoCgSswi8-BcWiFMKlcsxXuC_kZCoOmiW03Va4flCO0Q~~) to fund research software engineer teams at Canadian higher-ed institutions to directly support researchers.

<a name="getinvolved"></a>

# Get Involved

There are lots of ways to get involved with the US-RSE community. Of course, you can [join us on Slack](https://us-rse.org/join) or volunteer for an interview with the RSE Stories podcast. But we’re also looking for help in many other places. See the most updated version of the [list of projects](https://docs.google.com/document/d/1jjVD0WkeeWZJI6yqSKyMdIjtClzolsxv75RkpLju17I/edit?usp=sharing) and let us know how you’d like to help. Help with things like the Website Committee, Social Media, and Community Engagement are all needed.
